Subject: Re: brcm80211 breakage..

From: "Arend van Spriel" <[email-masked]>
Date: Thu, 12 Jan 2012 21:09:16 +0100

On 01/12/2012 08:08 PM, Linus Torvalds wrote:
> On Thu, Jan 12, 2012 at 11:00 AM, Linus Torvalds
> <[email-masked]> wrote:
>>
>> I'll send out a patch that seems to get things to a working state for
>> me. At least I have wireless connectivity again, I don't know if there
>> are some other problems remaining.
> 
> Ok, this is the patch that gets me going, and this is sent from the Macbook Air.
> 
> NOTE! The BCMA confusion about the sprom still exists, but doesn't
> seem to matter:

That is because brcmsmac is not relying on the sprom logic provided by
bcma. As Rafał indicated that is duplicated code so if we are to use
bcma sprom functionality that needs to be fixed (after the merge window).

>  bcma: Core 0 found: ChipCommon (manuf 0x4BF, id 0x800, rev 0x22, class 0x0)
>  bcma: Core 1 found: IEEE 802.11 (manuf 0x4BF, id 0x812, rev 0x17, class 0x0)
>  bcma: Core 2 found: PCIe (manuf 0x4BF, id 0x820, rev 0x0F, class 0x0)
>  bcma: Found rev 6 PMU (capabilities 0x108C2606)
>  bcma: Unsupported SPROM revision: 255
>  bcma: No SPROM available
>  bcma: Bus registered
>   ..
>  brcmsmac bcma0:0: mfg 4bf core 812 rev 23 class 0 irq 17
>  brcmsmac: Found chip type AI (0x1381a8d8)
>  brcmsmac: Applying 43224B0+ WARs
>  bcma: Switched to core: 0x812
>  ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
>  brcms_module_init: register returned 0
> 
> so this does seem to work, but there are clearly some issues still..
> 
>                  Linus

That output look fine. The patch looks fine although you can use the new
do_crc_check() function in otp_read_pci as well.

Gr. AvS